org.apache.ignite.internal.management.baseline

## Class BaselineAddCommand

- java.lang.Object
- - org.apache.ignite.internal.management.baseline.AbstractBaselineCommand
  - - org.apache.ignite.internal.management.baseline.BaselineAddCommand

All Implemented Interfaces:
  Command<BaselineCommand.BaselineTaskArg,BaselineTaskResult>, ComputeCommand<BaselineCommand.BaselineTaskArg,BaselineTaskResult>

    public class BaselineAddCommand
    extends AbstractBaselineCommand

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`BaselineAddCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<BaselineAddCommandArg>` `argClass()`
`String` `confirmationPrompt(BaselineCommand.BaselineTaskArg arg)`
`String` `description()` Command description.

### Methods inherited from class org.apache.ignite.internal.management.baseline.AbstractBaselineCommand

`nodes, printResult, taskClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`deprecationMessage`

### Constructor Detail

#### BaselineAddCommand

    public BaselineAddCommand()

### Method Detail

#### description

    public String description()

Command description.

#### confirmationPrompt

    public String confirmationPrompt(BaselineCommand.BaselineTaskArg arg)

Parameters:
  `arg` - Command argument.
Returns:
  Message text to show user for. If `null` it means that confirmation is not needed.

#### argClass

    public Class<BaselineAddCommandArg> argClass()

Returns:
  Arguments class.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023